export declare const ABI: readonly [{
    readonly type: "impl";
    readonly name: "ExampleContract";
    readonly interface_name: "example::IExampleContract";
}, {
    readonly type: "enum";
    readonly name: "core::bool";
    readonly variants: readonly [{
        readonly name: "False";
        readonly type: "()";
    }, {
        readonly name: "True";
        readonly type: "()";
    }];
}, {
    readonly type: "enum";
    readonly name: "core::option::Option::<core::integer::u8>";
    readonly variants: readonly [{
        readonly name: "Some";
        readonly type: "core::integer::u8";
    }, {
        readonly name: "None";
        readonly type: "()";
    }];
}, {
    readonly type: "enum";
    readonly name: "core::option::Option::<core::option::Option::<core::integer::u8>>";
    readonly variants: readonly [{
        readonly name: "Some";
        readonly type: "core::option::Option::<core::integer::u8>";
    }, {
        readonly name: "None";
        readonly type: "()";
    }];
}, {
    readonly type: "struct";
    readonly name: "example::TestStruct";
    readonly members: readonly [{
        readonly name: "int128";
        readonly type: "core::integer::u128";
    }, {
        readonly name: "felt";
        readonly type: "core::felt252";
    }, {
        readonly name: "tuple";
        readonly type: "(core::integer::u32, core::integer::u32)";
    }];
}, {
    readonly type: "enum";
    readonly name: "example::TestEnum";
    readonly variants: readonly [{
        readonly name: "int128";
        readonly type: "core::integer::u128";
    }, {
        readonly name: "felt";
        readonly type: "core::felt252";
    }, {
        readonly name: "tuple";
        readonly type: "(core::integer::u32, core::integer::u32)";
    }, {
        readonly name: "novalue";
        readonly type: "()";
    }];
}, {
    readonly type: "enum";
    readonly name: "core::result::Result::<core::integer::u8, core::integer::u8>";
    readonly variants: readonly [{
        readonly name: "Ok";
        readonly type: "core::integer::u8";
    }, {
        readonly name: "Err";
        readonly type: "core::integer::u8";
    }];
}, {
    readonly type: "enum";
    readonly name: "core::result::Result::<core::option::Option::<core::integer::u8>, core::integer::u8>";
    readonly variants: readonly [{
        readonly name: "Ok";
        readonly type: "core::option::Option::<core::integer::u8>";
    }, {
        readonly name: "Err";
        readonly type: "core::integer::u8";
    }];
}, {
    readonly type: "interface";
    readonly name: "example::IExampleContract";
    readonly items: readonly [{
        readonly type: "function";
        readonly name: "fn_felt";
        readonly inputs: readonly [{
            readonly name: "felt";
            readonly type: "core::felt252";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_felt_u8_bool";
        readonly inputs: readonly [{
            readonly name: "felt";
            readonly type: "core::felt252";
        }, {
            readonly name: "int8";
            readonly type: "core::integer::u8";
        }, {
            readonly name: "b";
            readonly type: "core::bool";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_felt_u8_bool_out_address_felt_u8_bool";
        readonly inputs: readonly [{
            readonly name: "felt";
            readonly type: "core::felt252";
        }, {
            readonly name: "int8";
            readonly type: "core::integer::u8";
        }, {
            readonly name: "boolean";
            readonly type: "core::bool";
        }];
        readonly outputs: readonly [{
            readonly type: "(core::starknet::contract_address::ContractAddress, core::felt252, core::integer::u8, core::bool)";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_felt_out_felt";
        readonly inputs: readonly [{
            readonly name: "felt";
            readonly type: "core::felt252";
        }];
        readonly outputs: readonly [{
            readonly type: "core::felt252";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_out_simple_option";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly type: "core::option::Option::<core::integer::u8>";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_out_nested_option";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly type: "core::option::Option::<core::option::Option::<core::integer::u8>>";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_simple_array";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "core::array::Array::<core::integer::u8>";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_out_simple_array";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly type: "core::array::Array::<core::integer::u8>";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_struct";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "example::TestStruct";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_struct_array";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "core::array::Array::<example::TestStruct>";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_enum";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "example::TestEnum";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_enum_array";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "core::array::Array::<example::TestEnum>";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_out_enum_array";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly type: "core::array::Array::<example::TestEnum>";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_result";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "core::result::Result::<core::integer::u8, core::integer::u8>";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_out_result";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly type: "core::result::Result::<core::integer::u8, core::integer::u8>";
        }];
        readonly state_mutability: "view";
    }, {
        readonly type: "function";
        readonly name: "fn_nested_result";
        readonly inputs: readonly [{
            readonly name: "arg";
            readonly type: "core::result::Result::<core::option::Option::<core::integer::u8>, core::integer::u8>";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "view";
    }];
}, {
    readonly type: "event";
    readonly name: "example::example_contract::CounterIncreased";
    readonly kind: "struct";
    readonly members: readonly [{
        readonly name: "amount";
        readonly type: "core::integer::u128";
        readonly kind: "data";
    }];
}, {
    readonly type: "event";
    readonly name: "example::example_contract::CounterDecreased";
    readonly kind: "struct";
    readonly members: readonly [{
        readonly name: "amount";
        readonly type: "core::integer::u128";
        readonly kind: "data";
    }];
}, {
    readonly type: "event";
    readonly name: "example::example_contract::MyStruct";
    readonly kind: "struct";
    readonly members: readonly [{
        readonly name: "member";
        readonly type: "core::integer::u128";
        readonly kind: "data";
    }];
}, {
    readonly type: "event";
    readonly name: "example::example_contract::MyEnum";
    readonly kind: "enum";
    readonly variants: readonly [{
        readonly name: "Var1";
        readonly type: "example::example_contract::MyStruct";
        readonly kind: "nested";
    }];
}, {
    readonly type: "event";
    readonly name: "example::example_contract::Event";
    readonly kind: "enum";
    readonly variants: readonly [{
        readonly name: "TestCounterIncreased";
        readonly type: "example::example_contract::CounterIncreased";
        readonly kind: "nested";
    }, {
        readonly name: "TestCounterDecreased";
        readonly type: "example::example_contract::CounterDecreased";
        readonly kind: "nested";
    }, {
        readonly name: "TestEnum";
        readonly type: "example::example_contract::MyEnum";
        readonly kind: "nested";
    }];
}];
//# sourceMappingURL=example.d.ts.map